; TIP1171.LSP: CLTYPE.LSP    Change Line Type   (c)1995, Jimmy Dobbs

;Change line type of a selected type to another
;Linetype must be defined, not bylayer

(defun C:CLTYPE (/ OLDNAME SS NEWNAME)
  (prompt "\nPick a line of the type you want changed: ")
  (setq OLDNAME (cdr (assoc 6 (entget (car (entsel))))))
  (prompt "\nSelect the lines you want to change: ")
  (setq SS (ssget (list (cons 6 OLDNAME))))
  (prompt "\nType in new linetype or press Enter to select one: ")
  (setq NEWNAME (getstring))
  (if (= NEWNAME "")
    (setq NEWNAME (cdr (assoc 6 (entget (car (entsel))))))
  )
  (command "chprop" SS "" "lt" NEWNAME "")
  (princ)
); end cltype.lsp
